/*
 * Electric(tm) VLSI Design System
 *
 * File: usrdiacom.h
 * Special command dialogs, headers
 * Written by: Steven M. Rubin, Static Free Software
 *
 * Copyright (c) 2000 Static Free Software.
 *
 * Electric(tm) is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Electric(tm) is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Electric(tm); see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, Mass 02111-1307, USA.
 *
 * Static Free Software
 * 4119 Alpine Road
 * Portola Valley, California 94028
 * info@staticfreesoft.com
 */

#if defined(__cplusplus) && !defined(ALLCPLUSPLUS)
extern "C"
{
#endif

INTSML us_3ddepthdlog(char*[]);
void us_aboutdlog(char*);
INTSML us_alignmentdlog(char*[]);
INTSML us_annularringdlog(char*[]);
INTSML us_arcsizedlog(char*[]);
INTSML us_areadlog(char*, char*[], char*);
INTSML us_arraydlog(char*[]);
INTSML us_artlookdlog(char*[]);
INTSML us_attributesdlog(char*[]);
INTSML us_capacitancedlog(char*[], char*);
INTSML us_colormixdlog(char *overlayernames[]);
INTSML us_copyfacetdlog(char*, char*[]);
INTSML us_createtodlog(char*[]);
INTSML us_defarcdlog(char*[]);
INTSML us_defnodedlog(char*[]);
INTSML us_deftextdlog(char*, char*[]);
INTSML us_dependentlibdlog(char*[]);
INTSML us_editfacetdlog(char*, char*[]);
INTSML us_facetdlog(char*[]);
INTSML us_facetlist(char*, char*[], INTSML);
INTSML us_filedlog(COMCOMP*, char*[], char*, INTSML);
INTSML us_frameoptionsdlog(char *[]);
INTSML us_gaindlog(char*, char*[], char*);
INTSML us_griddlog(char*[]);
void   us_givemessagedialog(char*);
INTSML us_helpdlog(char*, char*[]);
INTSML us_highlayerlog(char*[]);
INTSML us_iconstyledlog(char*[]);
INTSML us_inductancedlog(char*[], char*);
INTSML us_lambdadlog(char*[]);
INTSML us_librarypathdlog(char*[]);
INTSML us_menudlog(char*[]);
INTSML us_newfacetdlog(char*[]);
INTSML us_newviewdlog(char*[]);
INTSML us_nodesizedlog(char*[]);
INTSML us_noyesalwaysdlog(char*, char*[]);
INTSML us_noyesdlog(char*, char*[]);
INTSML us_oldlibrarydlog(char*[]);
INTSML us_optionsavingdlog(char*[]);
INTSML us_patterndlog(char*[]);
INTSML us_placetextdlog(char*[]);
INTSML us_plotoptionsdlog(char*[]);
INTSML us_portdisplaydlog(char*[]);
INTSML us_portdlog(char*[]);
INTSML us_quickkeydlog(char*[]);
INTSML us_quitdlog(char*, char*[]);
INTSML us_renamedlog(char*[]);
INTSML us_replacedlog(char*[]);
INTSML us_resistancedlog(char*, char*[], char*);
INTSML us_selectoptdlog(char*[]);
INTSML us_selectportnetdlog(char*[], INTSML);
INTSML us_showdlog(char*[], INTSML);
INTSML us_sourcedlog(char*[], char*);
INTSML us_spreaddlog(char*[]);
INTSML us_technologydlog(char*, char*[]);
INTSML us_techoptdlog(char*[]);
INTSML us_techvarsdlog(char*[]);
INTSML us_tracedlog(char*[]);
INTSML us_variablesdlog(char*[]);
INTSML us_vccsdlog(char*[], char*);
INTSML us_visiblelayersdlog(char*, char*[]);
INTSML us_widlendlog(char*[], char*);
INTSML us_windowviewdlog(char *paramstart[]);
INTSML us_yesnodlog(char*, char*[]);

#if defined(__cplusplus) && !defined(ALLCPLUSPLUS)
}
#endif
